Skip to main content
GET
/
v2
/
schema-migrations
/
{id}
Get Schema Migration
curl --request GET \
  --url https://public.api.serval.com/v2/schema-migrations/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "entityTypeId": "<string>",
    "details": {
      "changeFieldType": {
        "fieldId": "<string>",
        "fieldKey": "<string>"
      }
    },
    "actorUserId": "<string>",
    "startedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z",
    "error": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the schema migration to fetch.

Response

Success

data
data · object

The schema migration, including its current status.